#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER OEMTOANSI()
{
   WORD wLen     = _parclen( 1 );
   LPSTR pResult = _xgrab( wLen + 1 );

   _bcopy( pResult, _parc( 1 ), wLen );
   OemToAnsi( ( char _huge * ) _parc( 1 ), ( char _huge * ) pResult );
   _retclen( pResult, wLen );
   _xfree( pResult );
}

//----------------------------------------------------------------------------//

CLIPPER ANSITOOEM()
{
   WORD wLen     = _parclen( 1 );
   LPSTR pResult = _xgrab( wLen + 1 );

   _bcopy( pResult, _parc( 1 ), wLen );
   AnsiToOem( ( char _huge * ) _parc( 1 ), ( char _huge * ) pResult );
   _retclen( pResult, wLen );
   _xfree( pResult );
}

//----------------------------------------------------------------------------//
// Thanks to Ignacio Ortiz de Zuiga

CLIPPER ISANSI()         // cString    --> lAnsi
{
   LPBYTE pString = _parc( 1 );
   WORD  w = 0, wLen = _parclen( 1 );
   BOOL  bAnsi = FALSE;

   while( w < wLen && ! bAnsi )
   {
      bAnsi = pString[ w ] >= 224 && pString[ w ] <= 255;
      w++;
   }

   _retl( bAnsi );
}

//----------------------------------------------------------------------------//
// Thanks to Ignacio Ortiz de Zuiga

CLIPPER ISOEM()         // cString    --> lOem
{
   LPBYTE pString = _parc( 1 );
   WORD  w = 0, wLen = _parclen( 1 );
   BOOL  bOem = FALSE;

   while( w < wLen && ! bOem )
   {
      bOem = pString[ w ] >= 128 && pString[ w ] <= 168;
      w++;
   }

   _retl( bOem );
}

//----------------------------------------------------------------------------//
